Highlighted

iOS app with custom ANE doesn't load past Air version 27

New Here ,
Mar 30, 2018

Copy link to clipboard

Copied

Hi.

I have a custom ANE that I use in an Air iOS project.

My app runs fine if I compile it with Air version 27.

If I try to use the 28 or 29 SDK my app just stays on the initial splash screen. It doesn't even connect to the debugger.

I pin pointed the problem to my custom ANE. If I remove the ANE from the project I can use the SDK 28 and 29 without any issues.

I tried compiling the ANE with ADT from the SDK 29 but I'm still facing the same issue. Definitely something changed in Air 28 that prevents my ANE from loading. The ANE is coded in Objective-C and uses the Healthkit framework.

Does anyone know what I need to do to make the ANE work in AIR 28 and 29?

Thanks in advance.

TOPICS
Development

Views

202

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

iOS app with custom ANE doesn't load past Air version 27

New Here ,
Mar 30, 2018

Copy link to clipboard

Copied

Hi.

I have a custom ANE that I use in an Air iOS project.

My app runs fine if I compile it with Air version 27.

If I try to use the 28 or 29 SDK my app just stays on the initial splash screen. It doesn't even connect to the debugger.

I pin pointed the problem to my custom ANE. If I remove the ANE from the project I can use the SDK 28 and 29 without any issues.

I tried compiling the ANE with ADT from the SDK 29 but I'm still facing the same issue. Definitely something changed in Air 28 that prevents my ANE from loading. The ANE is coded in Objective-C and uses the Healthkit framework.

Does anyone know what I need to do to make the ANE work in AIR 28 and 29?

Thanks in advance.

TOPICS
Development

Views

203

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Mar 30, 2018 0
Engaged ,
Mar 31, 2018

Copy link to clipboard

Copied

AIR 28+ uses the iOS 11 SDK (lower versions use 10.3)

My guess is it's related to this.

Are you compiling your ANE using Xcode 9 and 11 SDK?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 31, 2018 0
calahush LATEST
New Here ,
Mar 31, 2018

Copy link to clipboard

Copied

Yes. Xcode 9.2 and iOS 11.2 SDK Screen Shot 2018-03-31 at 15.33.06.png

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 31, 2018 0